%define _requires_exceptions  typelib\\(GtkosxApplication|Gtkspell|Glib\\)

Summary:	Genealogical Research and Analysis Management Programming System
Summary(de):	Genealogie-Erforschung und -Analysesystem
Name:		 gramps
Version:	     5.2.2
Release:	 %mkrel 1
License:	     GPLv2+
Group:		Sciences/Other
Source0:	 https://github.com/gramps-project/gramps/releases/%{name}-%{version}.tar.xz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		    http://gramps.sourceforge.net
#---------------------------------------
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:	scrollkeeper
BuildRequires:  intltool
BuildRequires:	%{_lib}python3-devel
BuildRequires:	%{_lib}gexiv2-devel >= 0.10
BuildRequires:	python3-setuptools
Obsoletes:	%name < %version
#---------------------------------------
Requires:	graphviz
Requires:	lib64gexiv2_2 >= 0.10
Requires:	python3-bsddb3
Requires:	python3-gobject3
Requires:	python3-icu
Requires:	xdg-utils
Requires:	webkitgtk2
Requires:	GConf2
Requires:	shared-mime-info
Requires:	lib64osmgpsmap1.0_1
Requires:	lib64rsvg2_2
Requires:	lib64gtk+3_0

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%description -l de
GRAMPS ist ein Genealogie-Programm, entwickelt für Linux und andere
UNIX-ähnliche Systeme. Es hilft dir deinen Familienstammbaum aufzuzeichnen
indem es das einfache Speichern, Bearbeiten, Abrufen und Finden genealogischer
Zusammenhänge ermöglicht.


%prep
%setup -q

%build
python3 setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python3 setup.py install --root %{buildroot}
perl -pi -e "s@%{buildroot}@@" %buildroot/%python3_sitelib/gramps/gen/utils/resource-path

#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name} --with-gnome --with-man
rm -fr %{buildroot}%python3_sitelib/gramps-*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_scrollkeeper
%clean_mime_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/org.gramps_project.Gramps.desktop
%{_datadir}/doc
%{_datadir}/%{name}
%{_iconsdir}
%{_datadir}/mime/packages/org.gramps_project.Gramps.xml
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/%name/
%{_datadir}/metainfo/org.gramps_project.Gramps.metainfo.xml

%changelog
* Sat Apr 13 2024 pp - 5.2.2-1pclos2024
- new version

* Sun Mar 31 2024 pp - 5.2.1-1pclos2024
- new version

* Mon Feb 26 2024 pp - 5.2.0-1pclos2024
- new version

* Sat Jul 22 2023 pp - 5.1.6-1pclos2023
- new version

* Sat Apr 09 2022 pp - 5.1.5-1pclos2022
- new version

* Sat Aug 07 2021 tex - 5.1.4-1pclos2021
- new version

* Sat Jul 03 2021 tex - 5.1.3-2pclos2021
- rebuild against updates

* Tue Sep 01 2020 pp  5.1.3-1pclos2020
- update

* Fri May 15 2020 pp  5.1.2-1pclos2020
- update

* Sun Sep 15 2019 pp  5.1.1-1pclos2019
- update

* Sat Dec 22 2018 pp  5.0.1-1pclos2018
- update

* Wed Aug 01 2018 tex - 5.0.0-1pclos2018
- new version

* Tue Apr 24 2018 tex - 4.2.8-2pclos2018
- rebuild against updates

* Sat Feb 10 2018 pp <pp> 4.2.8-1pclos2018
- update

* Wed Aug 16 2017 pp <pp> 4.2.6-1pclos2017
- update
- removed noarch

* Mon Apr 24 2017 pp <pp> 4.2.5-3pclos2017
- add BR and R and rebuild against newer lib64gexiv2

* Mon Mar 20 2017 pp <pp> 4.2.5-2pclos2017
- update Req and rebuild for noarch

* Wed Dec 21 2016 woodhead <pp> 4.2.5-1pclos2017
- update

* Tue Sep 06 2016 woodhead <pp> 4.2.4-1pclos2016
- update

* Tue Apr 12 2016 woodhead <pp> 4.2.3-1pclos2016
- update

* Sat Jan 09 2016 pp <pp> 4.2.2-1pclos2016
- update

* Thu Oct 15 2015 pp <pp> 4.2.1-1pclos2015
- update

* Sat Aug 22 2015 bb <bb> 4.2.0-1pclos2015
- update

* Sat May 09 2015 pinoc <vogtpet at gmail.com> 4.1.3-1pclos2015
- 4.1.3

* Sat Apr 04 2015 pinoc <vogtpet at gmail.com> 4.1.2-1pclos2015
- 4.1.2
